Skip to navigation

Pre Encounter Eligibility Checks V 1 Recommendation

Gets recommendation for eligibility checks based on filters. This endpoint will retrieve all the latest eligibility recommendations for each eligibility recommendation type for the given filters. If you want to get a specific recommendation type, you can use the type query parameter.

Authentication

AuthorizationBearer
Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

Query parameters

filtersstringOptional

A serialized list of filters separated by commas indicating filters to apply. Each filter is of the form ‘path:operator:value’. Example: ‘patient.mrn|eq|12345’. Filters are separated by commas. Example: ‘patient.mrn|eq|12345,appointment.startDate|gt|67890’. All filters are ANDed together. Valid operators are ‘eq’, ‘gt’, ‘lt’, ‘contains’, ‘ieq’, ‘in’. ieq is a case-insensitive equality operator. in allows searching for values that match any item in a semicolon-separated list (e.g., ‘patient.id|in|foo;bar;baz’). Path values are camelCase.

Response

deactivatedboolean
True if the object is deactivated. Deactivated objects are not returned in search results but are returned in all other endpoints including scan.
eligibility_check_idstring
idstring
The unique UUID identifier for an EligibilityRecommendation.
organization_idstring
The organization that owns this object.
patientobject
An object representing patient information for an eligibility recommendation. This is used to find recommendations. Each field helps us find the right corresponding eligibility recommendation for the patient.
recommendationobject
updated_atdatetime
updating_user_idstring
The user ID of the user who last updated the object.
versioninteger
The version of the object. Any update to any property of an object object will create a new version.
coverage_idstring or nullOptionalformat: "uuid"
The unique identifier for a Coverage in the database
voteslist of objects or nullOptional
Array of votes for this recommendation